Page MenuHomePhabricator

Modify maintain-views to skip "#" on new dblist files
Closed, ResolvedPublic

Description

Due to T223602: Define variant Wikimedia production config in compiled, static files, our dblists are now generated statically, and they now contain some comments:

root@labsdb1011:~# cat /usr/local/lib/mediawiki-config/dblists/s1.dblist
# NOTE: This file is automatically generated. Do not try to edit it directly.
enwiki

Those comments produce some errors while running maintain-views, although it works in the end, but it can be confusing:

root@labsdb1011:~# for i in `cat /usr/local/lib/mediawiki-config/dblists/s1.dblist`; do sudo /usr/local/sbin/maintain-views --databases $i --table protected_titles --replace-all ; done
2019-11-28 13:40:17,794 ERROR None of the specified dbs are allowed
2019-11-28 13:40:18,138 ERROR None of the specified dbs are allowed
2019-11-28 13:40:18,478 ERROR None of the specified dbs are allowed
2019-11-28 13:40:18,823 ERROR None of the specified dbs are allowed
2019-11-28 13:40:19,194 ERROR None of the specified dbs are allowed
2019-11-28 13:40:19,539 ERROR None of the specified dbs are allowed
2019-11-28 13:40:19,917 ERROR None of the specified dbs are allowed
2019-11-28 13:40:20,226 ERROR None of the specified dbs are allowed
2019-11-28 13:40:20,555 ERROR None of the specified dbs are allowed
2019-11-28 13:40:20,895 ERROR None of the specified dbs are allowed
2019-11-28 13:40:21,211 ERROR None of the specified dbs are allowed
2019-11-28 13:40:21,586 ERROR None of the specified dbs are allowed
2019-11-28 13:40:21,932 ERROR None of the specified dbs are allowed
2019-11-28 13:40:22,250 ERROR None of the specified dbs are allowed
2019-11-28 13:40:22,653 INFO Full views for enwiki:
2019-11-28 13:40:22,657 INFO [enwiki_p.protected_titles]
2019-11-28 13:40:22,665 INFO Custom views for enwiki:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2019, 1:45 PM
Bstorm moved this task from Inbox to Soon! on the cloud-services-team (Kanban) board.
Bstorm moved this task from Backlog to Wiki replicas on the Data-Services board.
Bstorm added a subscriber: Bstorm.
bd808 added a subscriber: bd808.Dec 4 2019, 7:19 PM

Change 555740 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] cloud: update maintain-views to handle dblists with comments

https://gerrit.wikimedia.org/r/555740

Change 555740 merged by Bstorm:
[operations/puppet@production] cloud: update maintain-views to handle dblists with comments

https://gerrit.wikimedia.org/r/555740

bd808 closed this task as Resolved.Jan 14 2020, 5:14 PM
bd808 claimed this task.